/**
 * Fronta vytvořená pomocí seznamu a skládání. Ukázka správného
 * řešení. :-)
 */
public class Queue {

	/**
	 * Instance seznamu, na kterou jsou delegována volání metod.
	 */
	private List stackList;

	/**
	 * Vytvoří prázdný zásobník.
	 */
	public Queue() {
		stackList = new List("zásobník");
	}

	/**
	 * Přidá prvek
	 * 
	 * @param object
	 *            přidávaný prvek.
	 */
	public void enqueue(Object object) {
		stackList.insertAtBack(object);
	}

	/**
	 * Odstraní prvek
	 * 
	 * @return odstraněný prvek.
	 * @throws EmptyListException
	 *             pokud je zásobník prázdný.
	 */
	public Object dequeue() throws EmptyListException {
		return stackList.removeFromFront();
	}

	/**
	 * Vrací true, pokud je zásobník prázdný, jinak false.
	 * 
	 * @return true, pokud je zásobník prázdný, jinak false.
	 */
	public boolean isEmpty() {
		return stackList.isEmpty();
	}

	/**
	 * Vypíše obsah zásobníku na standardní výstup.
	 */
	public void print() {
		stackList.print();
	}

}